```@meta
CurrentModule = Pigeons
```

# Manipulating the output of pigeons

Pigeons supports several methods to post-process the output
of parallel tempering, including [convenient methods that 
store in memory all the samples](output-numerical.html), 
as well as memory efficient 
methods using either [the disk](output-off-memory.html) or 
[constant-memory statistics](output-online.html). 

- [Interpreting pigeons' standard output](output-reports.html)
- [Creating plots.](output-plotting.html)
- [Approximation of the normalization constant.](output-normalization.html)
- [Numerical summaries and diagnostics.](output-numerical.html)
- [Online (constant-memory) statistics.](output-online.html)
- [Off-memory processing.](output-off-memory.html)
- [PT-specific diagnostics.](output-pt.html)
- [Post-processing for MPI runs.](output-mpi-postprocessing.html)
- [Output for custom types.](output-custom-types.html)
- [Further customization using "recorders".](output-recorders.html)